document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');

  menuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    menuToggle.classList.toggle('active');
  });

  // Mock data for demonstration
  const mockStats = {
    price: '$0.14',
    marketCap: '$245.8M',
    nodes: '12,458',
    transactions: '1,245,789'
  };

  // Update stats
  document.querySelector('.price').textContent = mockStats.price;
  document.querySelector('.market-cap').textContent = mockStats.marketCap;
  document.querySelector('.nodes').textContent = mockStats.nodes;
  document.querySelector('.transactions').textContent = mockStats.transactions;

  // Generate mock blocks
  const blocksList = document.querySelector('.blocks-list');
  for (let i = 0; i < 5; i++) {
    const block = document.createElement('div');
    block.className = 'block-item';
    block.innerHTML = `
      <div style="padding: 1rem; border-bottom: 1px solid var(--border);">
        <h4>Block #${1000000 - i}</h4>
        <p>Mined ${Math.floor(Math.random() * 60)} minutes ago</p>
        <p>${Math.floor(Math.random() * 100)} transactions</p>
      </div>
    `;
    blocksList.appendChild(block);
  }

  // Generate mock transactions
  const transactionsList = document.querySelector('.transactions-list');
  for (let i = 0; i < 5; i++) {
    const tx = document.createElement('div');
    tx.className = 'transaction-item';
    tx.innerHTML = `
      <div style="padding: 1rem; border-bottom: 1px solid var(--border);">
        <h4>Tx #${(Math.random() * 1000000).toString(16)}</h4>
        <p>Amount: ${(Math.random() * 100).toFixed(2)} π</p>
        <p>${Math.floor(Math.random() * 30)} confirmations</p>
      </div>
    `;
    transactionsList.appendChild(tx);
  }

  // Search functionality
  const searchInput = document.querySelector('.search-box input');
  const searchButton = document.querySelector('.search-box button');

  searchButton.addEventListener('click', () => {
    const query = searchInput.value.trim();
    if (query) {
      alert(`Searching for: ${query}`);
      // Implement actual search functionality here
    }
  });

  searchInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      searchButton.click();
    }
  });
});
